package com.yem.wm.es.shippingdetails.op;

import com.yem.wm.es.shippingdetails.validator.CompleteMachineNumberValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;

/**
 * 整机编号校验
 * 流程中使用
 *
 */
public class CompleteMachineNumberValidatorOp extends AbstractOperationServicePlugIn {
    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new CompleteMachineNumberValidator());
    }
}
